Selenium2Library(RF)浏览器打不开问题汇总

一、由于selenium更新3.0的原因导致不在默认支持火狐浏览器,且支持的火狐浏览器大概在45以上的版本,所以很多都由于这个原因导致selenium在运行时打不开浏览器。

解决办法有两种:
1、可继续使用selenium2.x的版本,但是随着selenium及火狐的不断更新,时间久了始终会有点坑的。
目前解决方案:安装selenium2.53.6默认支持火狐47及47以下
python更新selenium的版本可用:
pip install -U selenium==2.53.6

2、使用限制的selenium3.0的版本,由于不在默认支持火狐浏览器,且 Message: ‘geckodriver’executable needs to be in PATH 这个错误大家应该都不陌生了,问题如看到的一样,需要名为geckodriver.exe的一个火狐浏览器driver在path中,当然解决办法就是,下载一个geckodriver.exe并将存放的路径添加在path中,简单点就直接放python的根目录下即可,下载地址 https://github.com/mozilla/geckodriver/releases

3、robotframework版本及ride版本都比较落后引起打不开浏览器
(最新robotframework==3.0,ride==1.5.2.1)如果上面的已经做了,仍然打不开,可考虑更新下这两个的版本。
pip install -U robotframework
pip install -U robotframework-ride

by the way:如果使用selenium2.x的版本,需火狐浏览器为47及以下的版本,如果使用selenium3.0,需确保下载有geckodriver且路径在path中。目前selenium3.0支持火狐45及以上的版本。目前最新的火狐浏览器为49。

二、谷歌及ie,由于selenium2.x默认不支持,所以更新3.0之后仍需要chromedriver.exe及iedriverserver.exe。

三、当遇到浏览器打开了,但是无法访问页面的时候,往往是由于使用了高版本的浏览器和低版本的selenium导致的,解决办法同上。

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页